## org.apache.xerces.impl.xpath
Class XPathException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.xerces.impl.xpath.XPathException

All Implemented Interfaces:
  java.io.Serializable

    public class XPathException

extends java.lang.Exception

XPath exception.

Version:
  $Id: XPathException.java 446721 2006-09-15 20:35:34Z mrglavas $
Author:
  Andy Clark, IBM
See Also:
  Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Constructor Summary
`XPathException()` Constructs an exception.
`XPathException(java.lang.String key)` Constructs an exception with the specified key.

Method Summary
`java.lang.String` `getKey()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathException

    public XPathException()

  Constructs an exception.

### XPathException

    public XPathException(java.lang.String key)

  Constructs an exception with the specified key.

Method Detail

### getKey

    public java.lang.String getKey()

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.